#ifndef __FL_PAGED_HOLD_BROWSER_H
#define __FL_PAGED_HOLD_BROWSER_H

#include <FL/Fl.H>
#include <FL/Fl_Hold_Browser.H>
#include <flpda/Fl_Page_UpDown_Button.H>

class Fl_Paged_Hold_Browser : public Fl_Hold_Browser {
	private:
		Fl_Page_UpDown_Button* page_button;

	protected:
		int handle(int);

	public:
		Fl_Paged_Hold_Browser(int x, int y, int w, int h, Fl_Page_UpDown_Button* b = 0);

		void draw();
		void page_updown_button(Fl_Page_UpDown_Button* b);
};

#endif
